curl --location --request PUT 'https://api.flashcat.cloud/api/n9e/message-template/' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhY2Nlc3NfdXVpZCI6IjVmZTgxOWRmLWQwYTEtNGZjZS1hYjU0LTQxNjU0MGMwOWM1MyIsImF1dGhvcml6ZWQiOnRydWUsImV4cCI6MTc3MzMyNjA4MSwibW9jayI6ZmFsc2UsInVzZXJfaWRlbnRpdHkiOiIyNDUxMDAyNzUxMTMxLTM3OTA5MjUzNzIxMzEifQ.ryz-6SBR_YXEVHaugytcZUB9qpFN9valzU5PL7clEZg' \
--header 'X-User-Token: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "FeiShu Registration Template",
"ident": "feishu_registration_template",
"content": {
"subject": "Welcome to our service, {{username}}!",
"body": "Hi {{username}}, your verification code is {{verification_code}}. Please use it to complete your registration."
},
"user_group_ids": [2],
"notify_channel_id": 1
}'